@charset "utf-8";
/* 条纹状的表格 */
.table-fixed{
    table-layout: fixed;
}
.sys-table{
    width:100%;
}
.sys-table th,.sys-table td{
    padding:10px;
}
.sys-table-stripe tbody tr:nth-child(odd){
    background:rgba(255,255,255,.04);
}
/* 默认图标 */
.ra-funnelt{
    display:inline-block;
    width:20px;
    height:20px;
    vertical-align: sub;
}
.icon-hover{
    opacity: .6;
}
.icon-hover:hover{
    opacity: 1;
}
.sd-table td.td-panel{
    padding:0;
}
.icon-default.icon-sys-cpu{
  background-size:contain;
}

.sys-outline-lists .outline-info{
  max-width: 48%;
}
.sys-outline-lists .outline-value{
  width: 40%;
  min-width:50%;
  padding-left:10px;
}
.sys-outline-lists .outline-item{
  margin-bottom:16px;
}
.sys-outline-lists .outline-item:last-child{
  margin-bottom:0;
}



.icon-linuxold{
  background:url("../images/linux.svg") no-repeat center;
}
.icon-linuxold-close{
  background:url("../images/linux-close.svg") no-repeat center;
}

/* kubernetes概览 */
@media (min-width:1199px) and (max-width:1400px){
  .sys-switch-info span{
    font-size:16px;
  }
}
/***** sys交换机组件 *****/
.list-cont{
  display: flex;
  align-items: center;
  justify-content: center;
}
.list-cont>div{
  padding:0 5px;
}
.application-list>li{
  display: flex;
  padding:10px;
  margin-bottom:6px;
  background: rgba(52,52,52,1);
  border-radius: 6px;
  border: 1px solid rgba(255,255,255,0.1);
  justify-content:space-between;
}
.application-list>li:hover,.application-list>li.active{
  background: rgba(29,43,91,1);
  border: 1px solid rgba(78,112,230,1);
}
.application-list>li>div{
  line-height: 20px;
}
.application-list>li>div:first-child{
  margin-right:20px;
}
.application-list>li>div:last-child{
  font-size:18px;
}
/* 三角形 */


.icon-time{
  background:url('../images/icon-time-white.svg') no-repeat center;
  background-size:contain;
}
.icon-alarm{
  background:url('../images/icon-alarm-white.svg') no-repeat center;
  background-size:contain;
}

/* 装饰 */
.gear-left,.gear-right{
  position: absolute;
  display: inline-block;
  width:6px;
  height:25px;
  border:1px dashed rgba(139,142,161,0.3);
  /* background:#292a2d; */
}
.gear-left{
  left:-1px;
  border-left:none;
  border-radius:0 4px 4px 0;
}
.gear-right{
  right:-1px;
  border-right:none;
  border-radius:4px 0 0 4px;
}
.server-box{
  display: flex;
}

.switchs-equip{
  position: relative;
}
.dropdown-item{
  display: inline-block;
  max-width:180px;
  padding:3px 10px;
  border:1px solid rgba(255,255,255,.2);
  border-radius:4px;
  text-align: center;
  font-size:12px;
  margin:2px 5px 2px 0;
  vertical-align: bottom;
}
.dropdown-item.active,.dropdown-item:hover{
  color:#fff;
  border-color:#fff;
}
/* 默认表格样式 */
.table-default thead tr{
  background:rgba(255,255,255,.1);
}
.table-default > tbody > tr > td{
  border-top:1px solid rgba(255,255,255,.2);
}
.charts-box{
  border-bottom:1px solid rgba(255,255,255,.1);
  padding-bottom:16px;
  margin-bottom:20px;
}
.charts-box:last-child {
  border-bottom: none;
  padding-bottom: 16px;
  margin-bottom: 0;
}
.charts-cont{
  /* height:200px; */
  margin-top:10px;
}
.layout-content-body{
  padding:24px;
}
/* 条纹状表格 */
.table-stripe{
  width:100%;
  font-size:12px;
}
.table-stripe td{
  padding:10px;
}
.table-stripe tbody tr:nth-child(odd){
  background:rgba(255,255,255,.1);
}
/* antd表格列宽拖拽，调整排序伪元素覆盖整个th问题 */
.ant-table-thead > tr > th[appDynamicColumnWidth] .ant-table-header-column .ant-table-column-sorters::before{
  right:20px !important;
}
/* 表头文字不可以选中 */
.ant-table-thead > tr > th[appDynamicColumnWidth]{
  /* position: relative; */
  user-select: none;
}
.ant-table-thead > tr > th[appDynamicColumnWidth]:after{
  content:'';
  position: absolute;
  top:50%;
  right:0px;
  width:1px;
  height:20px;
  background: #ccc;
  transform: translateY(-50%);
}
/* 升级angular10+antd10后，自定义列宽失效 */
.ant-table-fixed>col{
  width:auto !important;
  min-width:auto !important;
}
/* 升级angular10+antd10后，自定义列宽失效 */
.relative{
  position: relative;
}
.word-break{
  word-break: break-all;
}
.ml8{
  margin-left: 8px;
}
.mr8{
  margin-right:8px;
}
.mb8{
  margin-bottom:8px;
}
/* antd表格英文，数字自定换行 */

.ant-table-tbody > tr > td{
  word-break: break-all;
  height: 40px;
}
.treeTable .ant-table-tbody > tr > td{
  word-break: break-all;
  height: 30px;
}
.editable-row-operations a{
  margin-right:8px;
}
.editable-row-operations a:last-child{
  margin-right:0;
}
/* 卡片样式 */
.sys-switch-right-two .row .col-sm-12:first-child{
  padding-right:4px;
}
.sys-switch-right-two .row .col-sm-12:last-child{
  padding-left:4px;
}
.sys-switch-right-two .row .col-sm-12 .sys-switch-cont{
  margin-bottom:0;
}
.chart-title {
  font-size: 14px;
  color: #fff;
  font-weight: 550;
}
/* oneAgent新增弹框中去掉collapse边框 */
.oneagent .ant-collapse-borderless > .ant-collapse-item{
  border-bottom: none;
}
/* .ant-table-fixed>col{
  width:auto !important;
  min-width:auto !important;
  } */

  .logTable .ant-table-wrapper .ant-table-tbody .logHighlighted em{color:#FAAD14}
  .logTable .ant-table-wrapper .ant-table-tbody .ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .logHighlighted .ant-popover-content .ant-popover-inner-content{
    padding: 20px;
    max-height: 300px;
    overflow-y: auto;
  }

   .logHighlighted .ant-popover-content em{color:#FAAD14}
  /* .tableConfig{
    font-family: 'Arial', 'Microsoft Yahei', 'San Francisco', 'PingFang SC';
  } */
  .tableConfig .ant-table-thead .ant-table-row th{
    padding: 6px;
    font-size: 12px;
    background: #fafafa;

  }
  .tableConfig .ant-table-tbody .ant-table-row td{
    padding: 8px 15px 8px 8px;
    font-size: 12px;

  }
  .tableConfig .ant-spin-nested-loading{
    min-height: 120px;
  }
  .tableConfig .ant-table-tbody .table-row-select{
    background: #E2F3FF
  }
  .tableConfig .ant-table-tbody>tr.table-row-select:hover>td {
    background: #E2F3FF
  }
  /* .tableConfig .ant-table-tbody>tr.ant-table-row:hover>td{
    background: #E2F3FF
  } */
.tableConfig .ant-table-body table{
  padding-bottom: 20px;
}
.scrollTable .ant-table-wrapper .ant-table-tbody .ant-table-expanded-row-fixed{
  position: unset !important;
  width: auto !important;
}
.tableConfig .ant-table-body table{
  padding-bottom: 20px;
}
.logModal .ant-modal-content .ant-modal-body em{color:#FAAD14}
.changeTab .ant-tabs{
  width: 100%;
  font-size: 16px;
}
.detailMessage .ant-collapse .ant-collapse-item .ant-collapse-header .ant-collapse-arrow{
  left: 0;
}
.detailMessage .ant-collapse .ant-collapse-item .ant-collapse-header {
  padding: 12px 16px 12px 16px;
  font-weight: 600;
}
.detailMessage .ant-collapse .ant-collapse-item .ant-collapse-content .ant-collapse-content-box{
  padding: 0;
}
.popoverClass .ant-popover-content {
  min-width: 186px;
}
.popoverClassService .ant-popover-content {
  min-width: 136px;
}
.popoverClassService .ant-popover-content .ant-popover-inner .ant-popover-inner-content{
  padding:0
}
.popoverClassService,.popoverClass .ant-popover-content .ant-popover-inner .ant-popover-inner-content{
  padding:0
}
.popoverClassService .ant-popover-content .ant-popover-inner .ant-popover-inner-content{
  padding:0
}
.popoverClassService,.popoverClassBtn .ant-popover-content .ant-popover-inner .ant-popover-inner-content{
  padding:0
}
/* .ant-popover .ant-popover-content .ant-popover-inner .ng-tns-c24-9 .ant-popover-inner-content{
  padding: 0;
} */
,219.42857142857142
.applicationTab .ant-tabs .ant-tabs-nav-wrap{
  /* padding-left: 20px; */
}
.applicationTab .ant-tabs .ant-tabs-nav-wrap .ant-tabs-nav-list .ant-tabs-tab{
  padding: 20px 0;
}
.applicationTab .ant-tabs .ant-tabs-nav{
  margin-bottom: 4px;
}
.applicationTab .ant-tabs .ant-tabs-nav::before{
  border-bottom: 1px solid #f0f0f0;

}
.hotTable .ant-table-wrapper .ant-table-tbody .ant-table-row td .ant-table-row-expand-icon{
  background: none;
  border: none;
  margin-right: 16px;
  width:16px;
  display: inline-block;
}


.hotTable .ant-table-wrapper .ant-table-tbody .ant-table-row td .ant-table-row-expand-icon::before{
  height: 0;
}
.hotTable .ant-table-wrapper .ant-table-tbody .ant-table-row td .ant-table-row-expand-icon::after{
  width: 16px;
  height: 16px;
  display: inline-block;
  background: none;
  content: url('../../assets/images/opendownright.svg');
  top: 0px;
  left: 16px;
}

.error-analysis-table .ant-table-wrapper .ant-table-tbody .ant-table-row td .ant-table-row-expand-icon{
  background: none;
  border: none;
  padding-left: 16px;
  margin-right: 16px;
  width:16px;
  display: block;
  padding-right: 8px;
}
.error-analysis-table .ant-table-wrapper .ant-table-tbody .ant-table-row td .ant-table-row-expand-icon::before{
  height: 0;
}
.error-analysis-table .ant-table-wrapper .ant-table-tbody .ant-table-row td .ant-table-row-expand-icon::after{
  width: 16px;
  height: 16px;
  background: none;
  content: url('../../assets/images/opendownright.svg');
  top: 0;
  left: 16px;
}

.expand-table.ant-table-tbody .ant-table-row td .ant-table-row-expand-icon, .tree-table.ant-table-tbody .ant-table-row td .ant-table-row-expand-icon{
  background: none;
  border: none;
  padding-left: 16px;
  width:16px;
  display: block;
  padding-right: 8px;
  margin-left: -10px;
}
.expand-table.ant-table-tbody .ant-table-row td .ant-table-row-expand-icon::before, .tree-table.ant-table-tbody .ant-table-row td .ant-table-row-expand-icon::before{
  height: 0;
}
.expand-table.ant-table-tbody .ant-table-row td .ant-table-row-expand-icon::after, .tree-table.ant-table-tbody .ant-table-row td .ant-table-row-expand-icon::after{
  width: 16px;
  height: 16px;
  background: none;
  content: url('../../assets/images/opendownright.svg');
  top: 0;
  left: 16px;
}

.application-table .ant-table-wrapper .ant-table-tbody .ant-table-row td{
  font-size: 12px;
  height: 40px;

}
.ant-table.ant-table-small .ant-table-tbody>tr>td{
  padding: 0px !important;
  font-size: 12px;
}

.diagnostic-table .ant-table.ant-table-small .ant-table-tbody>tr>td{
  padding: 0px 8px !important;
}

.ant-table.ant-table-small .ant-table-thead>tr>th{
    height: 40px;
}
.d3-flame-graph rect {
  stroke: #EEEEEE;
  fill-opacity: .8;
}

.d3-flame-graph rect:hover {
  stroke: #474747;
  stroke-width: 0.5;
  cursor: pointer;
}

.d3-flame-graph-label {
  pointer-events: none;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  font-size: 12px;
  font-family: Verdana;
  margin-left: 4px;
  margin-right: 4px;
  line-height: 1.5;
  padding: 0 0 0;
  font-weight: 400;
  color: black;
  text-align: left;
}

.d3-flame-graph .fade {
  opacity: 0.6 !important;
}

.d3-flame-graph .title {
  font-size: 20px;
  font-family: Verdana;
}

.d3-flame-graph-tip {
    background-color: black;
    border: none;
    border-radius: 3px;
    padding: 5px 10px 5px 10px;
    min-width: 250px;
    text-align: left;
    color: white;
    z-index: 10;
}
.highcharts-background{
  fill: rgba(255,255,255,0);
}
.serviceflow-node-selected{
  fill:#0968E0
}
.serviceflow-line-selected{
  stroke:#1677FF !important;
  stroke-width:2 !important;
  marker-end: url(#arrowMarkeActive); /* 添加箭头 */
}
.serviceflow-clicknode-selected{
  fill:'#1677FF'
}

.serviceflow-clickline-selected{
  stroke:#1677FF !important;
  stroke-width:2 !important;
  marker-end: url(#arrowMarkeActive); /* 添加箭头 */
}
.switchIcon{
  transition: transform 0.5s;
}
.iconfont-topo{
  font-size: 22px;
}
.serviceflow-circle-selected{
  fill:#1677ff;
  stroke:#fff
}
.serviceflow-circleError-selected{
  fill: #FF4D4F
}
.serviceflow-icon-selected{
  color:#fff
}
.ant-checkbox-checked::after{
  border: 1px solid #1677ff !important;
}
.ant-checkbox-checked .ant-checkbox-inner{
  background:#1677ff !important;
  border-color:#1677ff !important;
  color:#fff
}
.ant-checkbox-disabled .ant-checkbox-inner {
  background-color: #1f1f1f !important;
  border-color: #d9d9d9!important;
}

.ant-checkbox-indeterminate .ant-checkbox-inner::after{
  background:#1677ff !important;
  border-color:#1677ff !important;
}

.ant-btn-background-ghost.ant-btn-primary{
  border-color: #1677ff !important;
  color: #1677ff;
}


.ant-tabs-ink-bar {
  background:#1677ff !important;
}
.ant-table-column-sorter-down.active, .ant-table-column-sorter-up.active{
  color: #1677ff !important;
}
.ant-tabs-tab.ant-tabs-tab-active .ant-tabs-tab-btn{
  color: #1677ff !important;
}
.primaryBtn{
  background: #1677ff !important;
  border-color: #1677ff !important;
}
/* .primaryBtn:hover{
  border-color: #1677ff !important;
  color: #1677ff !important;
} */
.serviceflow-substitutionRect-selected{
  fill:#1677ff
}
.exportBotton:hover{
  border-color: #1677ff !important;
  color: #1677ff !important;
}
input:hover{
  border-color: #1677ff !important;
}
.cdk-overlay-backdrop-showing{
  /* display: none; */
}
.cdk-overlay-backdrop{
  z-index: 999 !important;
}
.br6{
  border-radius: 6px !important;
}
.sd-table-responsive .ant-tabs{
  overflow: auto;
  display: unset;
}
.ant-select .ant-select-selector{
  border-radius: 6px !important;
}
.pdlr16{
padding:0 16px;
}
button{
  border-radius: 6px !important;
}

button{
  border-radius: 6px !important;
  /* color: #1677ff !important */
}
input{
  border-radius: 6px !important;

}
input:focus{
  outline: none !important;
  outline-width: 0 !important;
  border: none !important;
}
nz-input-group{
  border-radius: 6px !important;
}
.cdk-global-overlay-wrapper{
  z-index: auto !important;
}
.cdk-overlay-pane{
  z-index: auto !important;
}
/* .ant-table-content table tbody tr:hover{
  background-color: #f5f5f5;
} */


.ant-popover-inner{
  border-radius: 6px !important;
}
.ant-popover-inner-content {
  padding: 7px 10px !important;
  font-size: 12px;
}
.detailMessage .ant-tabs .ant-tabs-nav{
  margin-bottom: 0 !important
}
.call-tree-search .ant-input-group-addon, .ant-input-number {
  border:none !important
}
.calltreefil .ant-input-wrapper span.ant-input-group-addon{
  border-radius: 6px 0 0 6px;
}
.ant-popover-inner, .ant-select-dropdown{
  box-shadow: 0 6px 16px 0 rgba(0 0 0 / 8%), 0 3px 6px -4px rgba(0 0 0 / 12%), 0 9px 28px 8px rgba(0 0 0 / 5%) !important
}
.ant-alert {
  z-index: 10 !important;
}

.dropdown-default-bor  .ant-select{
  width: 100% !important;
}

/* tab样式修改 */
.tabConfig .ant-tabs .ant-tabs-nav{
  margin-bottom: 0px !important;
  height: 60px;
}
.tabConfig .tabText{
  font-size: 14px;
  font-family: PingFangSC, PingFang SC;
  font-weight: 400;
  display: flex; align-items: center;
}
.ant-alert{
  border-radius: 6px !important;
}
 .ant-tabs-tab{
  margin-right:0 !important
}
.ant-pagination-item{
  border-radius: 6px !important;
}
.apm-search-icon {
  background: url(../images/icon/search.svg) no-repeat;
  cursor:pointer
}
.apm-search-white {
  background: url(../images/icon/search-white.svg) no-repeat;
  cursor:pointer;
  width:16px;
  height: 16px;
  display: inline-block;
  background-size: 100% 100%;
  margin-top: 8px;
}
.ant-table-column-sorter-up{
  margin-top: -2px;
}
.CustomTableHeaders:hover{
  border: 1px solid #1677ff;
}
.CustomTableHeaders{
  cursor: pointer;border: 1px solid #d9d9d9;;font-size: 12px;border-radius: 6px;
  height: 32px;width: 32px;

}
.CustomTableHeaders span{
  width:16px;
  height: 16px;
  background: url('../images/Custom-table-headers.svg') no-repeat center;
  background-size: 100% 100%;
  display: inline-block;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
.CustomTableHeaders:hover{
  color: rgba(53,123,231,1);
}
.CustomTableHeaders:hover span{
  background: url('../images/Custom-table-headersHover.svg') no-repeat center;
}
.ant-table .ant-table-expanded-row-fixed{
  margin: 0 !important;
}
.systemListTab{
  width:16px;
  height: 25px;
  display: inline-block;
  background: url('../images/icon/listicon.svg') no-repeat center;
  background-size: 100% 100%;
  background-position: 0 3px
}
.systemChartTab{
  width:16px;
  height: 25px;
  display: inline-block;

  background: url('../images/icon/charticon.svg') no-repeat center;
  background-size: 100% 100%;
  background-position: 0 3px
}
.radioTab .ant-radio-group .systemListTabLable{
  border-radius: 0 6px 6px 0;
}
.radioTab .ant-radio-group .systemChartTabLable{

  border-radius: 6px 0 0 6px;
}
.radioTab .ant-radio-group .ant-radio-button-wrapper-checked .systemListTab{
  width:16px;
  height: 25px;
  display: inline-block;
  background: url('../images/icon/listiconcheck.svg') no-repeat center;
  background-size: 100% 100%;
  background-position: 0 3px
}
.radioTab .ant-radio-group .ant-radio-button-wrapper-checked .systemChartTab {
  width:16px;
  height: 25px;
  display: inline-block;
  background: url('../images/icon/charticoncheck.svg') no-repeat center;
  background-size: 100% 100%;
  background-position: 0 3px
}
/* .ant-table-column-sorter{
  margin-left: 0 !important;
} */
.breadcrumbConfig{
  max-width: 300px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    display: inline-block;
}
.dn{
  display: none !important;
}
.sider-wrap{
  z-index: 99 !important;
}
